Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156848 - OOo gcj fails due to stale config reference to libgcj_fc4.so.6
Summary: OOo gcj fails due to stale config reference to libgcj_fc4.so.6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 17:30 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-10 10:31:11 UTC


Attachments (Terms of Use)

Description David Woodhouse 2005-05-04 17:30:47 UTC
On PPC, 1.9.100-1 seems to be looking for /usr/lib/libgcj_fc4.so.6 instead of
/usr/lib/libgcj.so.6 and hence all use of Java fails. A symlink makes it happy.
I am unable to select /usr/lib/libgcj.so.6 from the configuration thingy for Java.

Comment 1 Caolan McNamara 2005-05-04 17:53:34 UTC
! wierd, because back when there was a libgcj_fc4.so.6 instead of libgcj.so.6 I
had OOo patched to do that. But there is no such patch now in the spec, nor was
that upstreamed. So there's no code which references libgcj_fc4.so.6 in OOo.

Hmm... perhaps attach your
~/openoffice.org2.0/user/config/javasettings_Linux_*.xml file here, then rm it
and restart OOo.

Comment 2 Caolan McNamara 2005-05-04 17:55:38 UTC
There should be no reason to touch the configuration thing for java unless
debugging, or there are more than one javas installed and one is to be preferred
over the other.

Comment 3 David Woodhouse 2005-05-05 10:12:17 UTC
<vendorData>00660069006C0065003A002F002F002F007500730072002F006C00690062002F006C0069006200670063006A005F006600630034002E0073006F002E0036</vendorData>
i.e. file:///usr/lib/libgcj_fc4.so.6

Removing it and restarting OOo makes it all happy again.

Comment 4 Caolan McNamara 2005-05-30 08:43:07 UTC
So would only affect someone who has ran the old ooo 1.9 previews which knew
about libgcj_fc4

Comment 5 Caolan McNamara 2005-06-10 10:31:11 UTC
ah realistically I'm not going to go track this one down, only arose because of
the short-term hack to get ooo working when libgcj_fc4.so.6 was in existance


Note You need to log in before you can comment on or make changes to this bug.